#
# BEFORE UPDATING THIS PACKAGE, YOU _MUST_ DO THE FOLLOWING:
# - DO A LOCAL BUILD
# - INSTALL IT IN A TEST MACHINE
# - CHECK THAT 'display_help http://google.com' STILL WORK (INCLUDING CLOSING IT)
# - CHECK THAT MCC STILL RUNS
#

# lib is called libwebkitgtk-%{libver}.so.%{major}
%define libver  1.0 
%define major	2
%define rev	0

%if %rev
%define oname		WebKit
%else
%define oname		webkit
%endif
%define libname		%mklibname webkitgtk %{libver} %{major}
%define develname	%mklibname webkitgtk %{libver} -d
%define inspectorname	webkit%{libver}-webinspector

%define pango	0
%if %pango
%define fontreq		pango-devel
%define fontback	pango
%else
%define fontreq		fontconfig-devel >= 1.0.0
%define fontback	freetype
%endif

%if %mandriva_branch == Cooker
# Cooker
%define rel 1
%else
# Old distros
%define subrel 1
%define rel 0
%endif

Summary:	Web browser engine
Epoch:		1
Name:		webkit
Version:	1.2.4
%if %rev
Release:	%mkrel -c %rev %rel
%else
Release:	%mkrel %rel
%endif
License:	BSD and LGPLv2+
Group:		System/Libraries
# Use the nightlies, don't grab SVN directly: the nightlies are
# MASSIVELY smaller and easier to manage - AdamW 2008/04
%if %rev
Source0:	http://nightly.webkit.org/files/trunk/src/%{oname}-r%{rev}.tar.bz2
%else
Source0:	http://www.webkitgtk.org/%{oname}-%{version}.tar.gz
%endif
Patch: webkit-1.1.21-fix-linking.patch
# (blino) needed for first-time wizard (display_help) to be able to close its window with javascript
Patch2: webkit-1.2.3-allowScriptsToCloseWindows.patch
Patch3: webkit-1.2.3-gir-1.2.patch
URL:		http://www.webkitgtk.org
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	curl-devel >= 7.11.0
BuildRequires:	flex
BuildRequires:	%{fontreq}
BuildRequires:	gperf
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libsoup-devel >= 2.29.90
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	xft2-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gobject-introspection-devel
%if %mdvver <= 201010
#gw for Soup-2.4.gir
BuildRequires:	gir-repository
%endif
BuildRequires:	enchant-devel
BuildRequires:	gail-devel
Requires:	%{libname}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
WebKit is an open source web browser engine.

%package -n %{name}%{libver}
Summary:        GTK+ port of WebKit web browser engine - shared files
Group:          Development/GNOME and GTK+
Requires:	%{libname}

%description -n %{name}%{libver}
WebKit is an open source web browser engine.
This package contains the shared files used by %{name}%{libver}

%package -n %{libname}
Summary:	GTK+ port of WebKit web browser engine
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}%{libver}
Obsoletes:	%{mklibname WebKitGdk 0} <= 0-0.30465
Obsoletes:	%{mklibname WebKitGtk 1} <= 0-0.32877
Obsoletes:	%{mklibname webkitgtk 1} <= 1.1.1-3mdv
Obsoletes:	%{mklibname webkitgtk 2} <= 1.1.1-3mdv
# (fhimpe) This provides should probably be removed when major changes
Provides:	%{mklibname webkitgtk 2} = %{version}-%{release}
Provides:	libwebkitgtk = %{version}-%{release}
# Needed for Web Inspector feature to work
Suggests:	%{inspectorname}
Conflicts:	gir-repository < 0.6.5-7mdv2010.1

%description -n %{libname}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package -n %{develname}
Summary:	Development files for WebKit GTK+ port
Group:		Development/GNOME and GTK+
Provides:	webkitgtk-devel = %{version}-%{release}
Provides:	libwebkitgtk-devel = %{version}-%{release}
Provides:	%{mklibname webkitgtk -d} = %{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	curl-devel >= 7.11.0
Requires:	fontconfig-devel >= 1.0.0
Requires:	librsvg-devel >= 2.2.0
Requires:	libstdc++-devel
Requires:	xft2-devel >= 2.0.0
Obsoletes:	%{mklibname WebKitGtk -d} <= 0-0.32877
Obsoletes:	%{mklibname webkitgtk -d} < 1.1.1-2mdv
Conflicts:	gir-repository < 0.6.5-7mdv2010.1

%description -n %{develname}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package gtklauncher
Summary:	WebKit GTK+ example application
Group:		Development/GNOME and GTK+
Conflicts:	%mklibname WebKitGtk 0 <= 0-0.30465

%description gtklauncher
GtkLauncher is an example application for WebKit GTK+.

%package jsc
Summary:	JavaScriptCore shell for WebKit GTK+
Group:		Development/GNOME and GTK+

%description jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package -n %{inspectorname}
Summary:	Data files for WebKit GTK+'s Web Inspector
Group:		System/Libraries
Provides:	webkit-webinspector = %{version}-%{release}
Obsoletes:	webkit-webinspector < 1.1.1-2mdv

%description -n %{inspectorname}
WebKit GTK+ has a feature called the Web Inspector, which allows
detailed analysis of any given page's page source, live DOM hierarchy
and resources. This package contains the data files necessary for Web
Inspector to work.

%prep
%if %rev
%setup -q -n %{oname}-r%{rev}
%else
%setup -q 
%endif
%patch -p1
%patch2 -p1 -b .allowScriptsToCloseWindows
%if %mdvver >= 201100
%patch3 -p0 -b .gir
%endif
%if %rev
./autogen.sh
%endif
automake

%build
%configure2_5x	\
	--with-font-backend=%{fontback} \
	--enable-video --enable-introspection

%make

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%{_libdir}/%{name}
install -m 755 Programs/GtkLauncher %{buildroot}%{_libdir}/%{name}

# only useful for testing, should not be installed system-wide.
# reported upstream as 22812 - AdamW 2008/12
rm -rf %{buildroot}%{_libdir}/libtestnetscapeplugin.*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun	-n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang

%files -n %{name}%{libver}
%{_datadir}/webkit-1.0/resources
%{_datadir}/webkit-1.0/images

%files -n %{develname}
%defattr(644,root,root,755)
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/lib%{name}-%{libver}.la
%{_includedir}/%{name}-%{libver}
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%_datadir/gir-1.0/JSCore-%{libver}.gir
%_datadir/gir-1.0/WebKit-%{libver}.gir

%files -n %{libname}
%defattr(644,root,root,755)
%{_libdir}/lib%{name}-%{libver}.so.%{major}*
%_libdir/girepository-1.0/JSCore-%{libver}.typelib
%_libdir/girepository-1.0/WebKit-%{libver}.typelib

%files gtklauncher
%defattr(0755,root,root)
%{_libdir}/%{name}/GtkLauncher

%files jsc
%defattr(0755,root,root)
%{_bindir}/jsc

%files -n %{inspectorname}
%defattr(0755,root,root)
%{_datadir}/%{name}-%{libver}/webinspector



%changelog
* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1:1.2.4-1mdv2011.0
+ Revision: 579501
- new version 1.2.4
- more gir 1.2 fixes
- hardcode as gir 1.2
- rebuild for new gir

  + Götz Waschk <waschk@mandriva.org>
    - only apply gir patch on cooker

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 1:1.2.3-2mdv2011.0
+ Revision: 563973
- hardcode 1.1 as repo version :(

* Tue Jul 20 2010 Funda Wang <fwang@mandriva.org> 1:1.2.3-1mdv2011.0
+ Revision: 555149
- new version 1.2.3

* Tue May 18 2010 Olivier Blin <oblin@mandriva.com> 1:1.2.0-3mdv2010.1
+ Revision: 545287
- expose allow-scripts-to-close-windows property in
  WebKitWebSettings for gtk ports, needed for first-time wizard
  (display_help) to be able to close its window with javascript

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 1:1.2.0-2mdv2010.1
+ Revision: 540058
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.2.0-1mdv2010.1
+ Revision: 535681
- update to new version 1.2.0

* Mon Mar 22 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.90-1mdv2010.1
+ Revision: 526388
- new version

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 1:1.1.23-2mdv2010.1
+ Revision: 526110
- fix build with icu 4.4
- rebuild for new icu

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.23-1mdv2010.1
+ Revision: 520720
- new version

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.22-3mdv2010.1
+ Revision: 509951
- new version

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.21-3mdv2010.1
+ Revision: 503052
- add conflicts for upgrades

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.21-2mdv2010.1
+ Revision: 502909
- enable introspection support
- new version
- fix linking
- bump libsoup dep

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.19-1mdv2010.1
+ Revision: 494680
- update to new version 1.1.19

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 1:1.1.18-1mdv2010.1
+ Revision: 490461
- new version
- bump libsoup dep

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.17-5mdv2010.1
+ Revision: 488809
- rebuilt against libjpeg v8

* Wed Dec 30 2009 Pascal Terjan <pterjan@mandriva.org> 1:1.1.17-4mdv2010.1
+ Revision: 483998
- Update BuildRequires

  + Thierry Vignaud <tv@mandriva.org>
    - add a test warning

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 1:1.1.17-3mdv2010.1
+ Revision: 479179
- drop unsupport switches
- fix requires

* Tue Dec 15 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 1:1.1.17-2mdv2010.1
+ Revision: 479044
- bumped epoch as webkit from 2010.0 needs to be downgraded (#56451)

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2010.1
+ Revision: 475431
- update to new version 1.1.17

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.16-1mdv2010.1
+ Revision: 463813
- update to new version 1.1.16

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.15.3-1mdv2010.1
+ Revision: 462265
- update to new version 1.1.15.3

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.15.1-1mdv2010.0
+ Revision: 447908
- update to new version 1.1.15.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.1.15-1mdv2010.0
+ Revision: 446928
- update to new version 1.1.15

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.14-1mdv2010.0
+ Revision: 437320
- update to new version 1.1.14

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdv2010.0
+ Revision: 420777
- new version
- bump libsoup dep

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.12-4mdv2010.0
+ Revision: 416631
- rebuilt against libjpeg v7

  + Frederik Himpe <fhimpe@mandriva.org>
    - Rebuild for missing webkit-debug package
    - Rebuild for missing debug package

* Tue Jul 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.12-2mdv2010.0
+ Revision: 402759
- update to new version 1.1.12

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 1.1.11-2mdv2010.0
+ Revision: 395646
- new version
- bump libsoup dep

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 1.1.10-2mdv2010.0
+ Revision: 388022
- bump release
- fix webinspector permissions

* Mon Jun 15 2009 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdv2010.0
+ Revision: 386146
- update to new version 1.1.10

* Sun Jun 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.9-1mdv2010.0
+ Revision: 385845
- Update to new version 1.1.9
- BuildRequires: gail-devel

* Sun May 31 2009 Funda Wang <fwang@mandriva.org> 1.1.8-1mdv2010.0
+ Revision: 381641
- update file list
- New version 1.1.8
- rebuild for new icu libmajor

  + Frederik Himpe <fhimpe@mandriva.org>
    - Remove explicit --enable-jit configure optiont: configure enabled it
      by default if the arch is supported (currently x86 and x86_64)

* Sat May 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.7-1mdv2010.0
+ Revision: 376383
- update to new version 1.1.7

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.6-1mdv2010.0
+ Revision: 369986
- Update to new version 1.1.6
- Introduce webkit and webkit1.0 RPMs to package translations
  and shared files for webkit1.0
- BuildRequires enchant-devel
- Fix URL and Source0 URL

* Mon Mar 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.3-1mdv2009.1
+ Revision: 355568
- Update to new version 1.1.3

* Sun Mar 15 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-3mdv2009.1
+ Revision: 355169
- Add some obsoletes so that urpmi handles the update from the wrongly
  named library packages a bit more nicely (bug #47803)

* Sat Mar 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-2mdv2009.1
+ Revision: 355044
-Build with gnome-keyring support
-Build with jit (a.k.a. Squirrelfish Extreme) on 32 bit x86
-Fix names of library, devel and webinspector packages so that they
 comply with library policy and can be parallel installable with an
 incompatible new future version
- Don't require exact version of webkit-inspector in library package,
  it breaks update when soname changes. Instead use a suggests (libwebkit
  works without the inspector), and don't use strict version requirement

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2009.1
+ Revision: 354351
- Update to new stable version 1.1.1 (new major)
- Remove underlinking patch: not needed anymore

* Sun Feb 15 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.40957.1mdv2009.1
+ Revision: 340397
- buildrequires libsoup-devel
- new release 40957

* Wed Jan 14 2009 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.39872.1mdv2009.1
+ Revision: 329267
- test enabling HTML5 video support (introduces dep on gstreamer)
- drop bison_24.patch (merged upstream)
- new snapshot 39872

* Tue Dec 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.39474.1mdv2009.1
+ Revision: 321296
- new snapshot 39474

* Fri Dec 19 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.39370.1mdv2009.1
+ Revision: 316374
- drop include.patch (merged upstream)
- update to rev 39370 (seems much less crash-y...)

* Fri Dec 12 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.39090.1mdv2009.1
+ Revision: 313504
- add include.patch, fixes a build-breaking missing include
- remove an incorrectly installed library
- comment the underlink patch
- add underlink.patch: try and fix underlinking in the unit tests
- add bison_24.patch from upstream #22205 (Bernhard Rosenkraenzer) - fix
  build with bison 2.4
- new snapshot 39090

* Tue Nov 25 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.38707.1mdv2009.1
+ Revision: 306697
- new snapshot 38707

* Fri Nov 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.38209.1mdv2009.1
+ Revision: 300836
- package the webinspector stuff into a new subpackage
- new snapshot 38209

* Thu Sep 11 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.36309.1mdv2009.0
+ Revision: 283896
- add some conditionals so i can easily test pango build
- new snapshot 36309

* Sat Sep 06 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.36120.1mdv2009.0
+ Revision: 281774
- new nightly 36120

* Tue Aug 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.35933.1mdv2009.0
+ Revision: 276371
- new snapshot 35933

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.35718.1mdv2009.0
+ Revision: 271515
- new nightly 35718

* Sun Aug 03 2008 Pascal Terjan <pterjan@mandriva.org> 1.0.2-0.35417.1mdv2009.0
+ Revision: 261540
- Update to r35417

* Thu Jul 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-0.35203.1mdv2009.0
+ Revision: 237829
- disable the underlinking workarounds, they weren't actually helping, let's
  see if it works yet...
- drop icuconfig.patch (fixed in our icu package)
- new snapshot 35203
- seems like we have to disable as-needed as well?
- disable --no-undefined: build breaks due to some internal problem with
  it enabled, looks hard to solve
- add icuconfig.patch to fix call to icu-config in configure
- set version to 1.0.2 (there was a somewhat obscure 1.0.1 'release')
- new snapshot 35177

* Fri Jun 27 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.34824.1mdv2009.0
+ Revision: 229572
- add a subpackage for the newly added javascript shell
- new snapshot 34824

* Fri Jun 20 2008 Götz Waschk <waschk@mandriva.org> 0-0.34503.2mdv2009.0
+ Revision: 227438
- add libwebkitgtk to allow noarch webkit-sharp bindings

* Thu Jun 12 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.34503.1mdv2009.0
+ Revision: 218575
- new snapshot 34503

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 21 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.33943.1mdv2009.0
+ Revision: 209799
- correct license (it's dual BSD and LGPL)
- new snapshot

* Mon May 12 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.33029.3mdv2009.0
+ Revision: 206271
- devel package doesn't require libnspr-devel (this was an error in some versions of the plugin patch)

* Mon May 12 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.33029.2mdv2009.0
+ Revision: 206248
- fix the obsoletes
- new snapshot 33029

* Mon May 05 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32877.1mdv2009.0
+ Revision: 201569
- whoops, missed a stray reference to the old (more complex) way of building
- drop the uppercase naming
- improve summaries and descriptions
- clean spec
- drop the qt build (now in upstream qt4)
- new snapshot

* Fri May 02 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32778.1mdv2009.0
+ Revision: 199975
- drop plugin.patch and brace.patch (both merged upstream)
- update snapshot

* Thu May 01 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32698.1mdv2009.0
+ Revision: 199841
- add brace.patch (from upstream SVN, fixes an error that breaks Qt 4.3 build)
- updated plugin patch
- new snapshot

* Fri Apr 25 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32531.2mdv2009.0
+ Revision: 197473
- tweak configure params to try and get 100/100 acid3
- drop all nspr stuff, it was a bogus addition to the plugin patch anyway

* Fri Apr 25 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32531.1mdv2009.0
+ Revision: 197442
- update plugin patch (improved version from upstream)
- update nightly

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.32416.4mdv2009.0
+ Revision: 196963
- add qt43.patch to fix a bug which caused build with Qt < 4.4 to fail
- updated version of plugin patch
- new snapshot

* Fri Apr 18 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.31893.4mdv2009.0
+ Revision: 195485
- try and fix up the requires_exceptions again...

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.31893.3mdv2009.0
+ Revision: 195320
- same fix for this patch was needed as for the other one...
- updated version of upstream patch (earlier was incomplete)
- fix a stray reference to a non-existent file in upstream patch
- new version of the plugin patch from upstream bug, hopefully this one will work!

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.31893.2mdv2009.0
+ Revision: 195033
- drop the patch until i know why it's not working. anyway, it makes acid3 test crash the browser, for some reason
- fix nspr devel requires (autorequires has problems here)
- final plugin patch fixup (but it still doesn't seem to work...will consult with upstream)
- more patch fixing..
- buildrequires libnspr-devel
- ...and one more fix
- more hacking on the patch
- fix changed function name in patch
- oops, bump release
- readd GTK+ plugin patch (31326-plugin.patch), from upstream bug report slightly rediffed

* Tue Apr 15 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.31893.1mdv2009.0
+ Revision: 194083
- new snapshot 31893

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.31157.1mdv2008.1
+ Revision: 189105
- protect majors in file lists
- move DumpRenderTree to the qt -devel package (aka obey libification policy)
- adjust to new upstream build method for GTK build (using autotools not qmake)
- split GtkLauncher and QtLauncher into separate packages (they're mostly useless demo code and were breaking libification policy)
- correct majors
- use upstream nightly tarball instead of creating one ourselves (apart from anything else it's, like, ten times smaller)
- new snapshot

* Fri Feb 22 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.30465.1mdv2008.1
+ Revision: 173823
- drop Implement-plugin-support-in-GTK-backend.patch (merged upstream)
- new snapshot 30465

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0-0.30005.1mdv2008.1
+ Revision: 163896
- Patch0: add support for external plugins (flashplayer and so forth). At the current stage this supports only GTK version of WebKit. Patch should be merged into upstream svn quite soon. For more info please see http://bugs.webkit.org/show_bug.cgi?id=14750
- fix buildroot

* Wed Jan 30 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.29866.1mdv2008.1
+ Revision: 160152
- new snapshot 29866

* Sat Jan 05 2008 Adam Williamson <awilliamson@mandriva.org> 0-0.29184.1mdv2008.1
+ Revision: 145662
- 29013 doesn't build, go to current (29184)
- new snapshot 29013 (required by latest midori)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Adam Williamson <awilliamson@mandriva.org> 0-0.28663.1mdv2008.1
+ Revision: 119551
- package a newly-introduced file
- new SVN snapshot 28663

  + Thierry Vignaud <tv@mandriva.org>
    - fix summary

* Wed Nov 21 2007 Thierry Vignaud <tv@mandriva.org> 0-0.26100.2mdv2008.1
+ Revision: 111025
- rebuild for new libicu

* Mon Oct 08 2007 Pascal Terjan <pterjan@mandriva.org> 0-0.26100.1mdv2008.0
+ Revision: 95684
- Obsoletes libWebKitGdk0
- Update to revision 26100
- s/Gdk/Gtk/g; s/gdk/gtk/
- DumpRenderTree changed location

* Sun Sep 02 2007 Pascal Terjan <pterjan@mandriva.org> 0-0.25144.3mdv2008.0
+ Revision: 78087
- Add some BuildRequires for the Qt version
- Oops fix the Provides

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0-0.25144.2mdv2008.0
+ Revision: 77413
- Add some provides on -devel packages

* Sat Sep 01 2007 Pascal Terjan <pterjan@mandriva.org> 0-0.25144.1mdv2008.0
+ Revision: 77392
- Fix group
- Put QtWebKit.pc in a place where pkgconfig will find it
- Import webkit



* Fri Aug 31 2007 Pascal Terajn <pterjan@mandriva.org> 0-0.25144.1mdv2008.0
- Initial Mandriva package (some inspiration from Debian)
